Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040752
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorhave not tried2019-05-02 16:252019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Todmiguelez 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionb4162532084b
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040752: Simplify oracle version specific code after no longer supporting Oracle 11.1

DescriptionIn issue 40750 support for Oracle 11.1 version was removed which allows to simplify some code which is specific for supporting this old version.

modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/APRMSQLFunctionRegister.java

Specifically now the is11R2OrNewer will always return true so both the function itself as well as the 2 branches to supported oracle but older can be removed.
Note: That this also allows to the remove existsStrAgg function as well.

Note: While 40750 is planned to be backported for 19Q2 this cleanup here is not needed to be backported.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 00407503.0PR19Q3 closedalostale Openbravo ERP Raise minimum supported Oracle database version from 11.1 to 11.2 
related to feature request 0040753 newRetail Retail Modules Simplify oracle version specific code after no longer supporting Oracle 11.1 

-  Notes
(0113678)
hgbot (developer)
2019-07-26 13:53

Repository: erp/devel/pi
Changeset: b4162532084b7d850b12e99b55a66e7d058b463c
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Jul 18 15:41:36 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b4162532084b7d850b12e99b55a66e7d058b463c [^]

Fixes Issue 40752. Older versions than Oracle 11.2 are no longer supported.
Therefore some of the code in this file is no longer needed.
This fix removes this code.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/APRMSQLFunctionRegister.java
---
(0113679)
vmromanos (developer)
2019-07-26 13:54

Code review + testing OK
(0114179)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-02 16:25 shuehner New Issue
2019-05-02 16:25 shuehner Assigned To => Triage Finance
2019-05-02 16:25 shuehner Modules => Core
2019-05-02 16:25 shuehner Triggers an Emergency Pack => No
2019-05-02 16:25 shuehner Relationship added depends on 0040750
2019-05-02 16:27 shuehner Relationship added related to 0040753
2019-05-02 16:27 shuehner Target Version => 3.0PR19Q3
2019-06-25 17:49 vmromanos Assigned To Triage Finance => markmm82
2019-06-25 23:59 markmm82 Status new => scheduled
2019-07-18 15:38 dmiguelez Target Version 3.0PR19Q3 => 3.0PR19Q4
2019-07-25 17:39 vmromanos Assigned To markmm82 => dmiguelez
2019-07-26 13:53 hgbot Checkin
2019-07-26 13:53 hgbot Note Added: 0113678
2019-07-26 13:53 hgbot Status scheduled => resolved
2019-07-26 13:53 hgbot Resolution open => fixed
2019-07-26 13:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b4162532084b7d850b12e99b55a66e7d058b463c [^]
2019-07-26 13:54 vmromanos Review Assigned To => vmromanos
2019-07-26 13:54 vmromanos Note Added: 0113679
2019-07-26 13:54 vmromanos Status resolved => closed
2019-07-26 13:54 vmromanos Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114179


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker